## fglrx-installer-14.301.1016.1001-150109a-179295c 14.301-0ubuntu3somerville6

=== debian/changelog ===
fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville6) trusty; urgency=medium

  * Remove old amdpcsdb after installing new fglrx driver.

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Wed, 29 Apr 2015 12:15:48 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville5) trusty; urgency=medium

  * Bump version to surpass the packages that are going to be replaced.

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Thu, 26 Mar 2015 01:41:33 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu1somerville3) trusty; urgency=medium

  * Change transitional package approach and add fglrx-core to conflict list.

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Thu, 26 Mar 2015 01:05:24 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu1somerville2) trusty; urgency=medium

  * Replace all previous released AMD drivers on this platform. (LP: #1430150)

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Wed, 25 Mar 2015 10:26:03 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu1somerville1) trusty; urgency=medium

  * AMD driver for Maple-intel-bdw platform.

 -- Tsung-Han Lin <tsung-han.lin@canonical.com>  Fri, 16 Jan 2015 08:52:42 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu1) utopic; urgency=low

  * New upstream release.

 -- AMD: Advanced Micro Devices. <http://ati.amd.com/support/driver.html>  Fri, 16 Jan 2015 08:51:54 +0800

fglrx-installer (2:8.660-0ubuntu4) karmic; urgency=low

  * Force fglrx-rt-compat.patch applied only on 2.6.28
  * Added new patch for rt kernel flavour (rt_preempt_31.patch) (LP: #159941)

 -- Alessio Igor Bogani <abogani@ubuntu.com>  Mon, 12 Oct 2009 22:31:02 +0200

fglrx-installer (2:8.660-0ubuntu3) karmic; urgency=low

  [ Alberto Milone]
  * debian/control:
    - Change the section of the -modaliases package to "admin" as
      the package is not "restricted" (LP: #429153).

  [ Kees Cook ]
  * debian/control:
    - Add build dependency on execstack.
  * debian/rules:
    - Drop executable stack markings from precompiled
      binaries (LP: #409440).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 25 Sep 2009 18:36:42 +0200

fglrx-installer (2:8.660-0ubuntu2) karmic; urgency=low

  * The XVBA libraries have silently removed the dependency on libstdc++5
    in driver version 8.63. Remove the dependency of the libamdxvba1 package
    on libstdc++5. LP: #432021.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Sep 2009 17:24:58 +0200

fglrx-installer (2:8.660-0ubuntu1) karmic; urgency=low

  * New upstream release.
    + Fix freeze on boot with purple and green ubuntu logos
      (LP: #423711)
    + Fix boot failure due to DKMS change.  Sometimes X crashes as result.
      (LP: #417617, #413751)
    + Make fglrx compile with dkms on 2.6.30 and 2.6.31 for amd64
      (LP: #410062)
    + Fix "Desktop effects could not be enabled" on HD 4850 and HD 4870
      (LP: #417500, #408633)
    + Provide support for 2.6.31 kernel
      (LP: #413791)
    + Use Catalyst Control Center for display configuration
      (LP: #410512)
    + Catalyst Control Center shows up in Apps > Accessories, should be in
      System > Administration > Display
      (LP: #423670)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 04 Sep 2009 15:05:07 -0700

fglrx-installer (2:8.620-0ubuntu3) karmic; urgency=low

  * debian/dkms/patches/missing-flush_tlb.patch (LP: #394176)
    - Borrow this patch from debian to fix missing symbol.
  * debian/dkms.conf.in:
    - Apply patches on 2.6.30 and 2.6.31.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 02 Jul 2009 12:05:20 -0500

fglrx-installer (2:8.620-0ubuntu2) karmic; urgency=low

  * Issues resolved since 9.4 (No package changes; Mario just beat me to the upload):
    + With desktop effects enabled, transparent desktop no longer causes desktop icons and
      application windows to disappear
    + Video playback no longer exhibits corruption when desktop effects are enabled and
      Composite is not explicitly disabled
    + [Ubuntu 8.10] System now functions properly when starting X on surround view
      systems
    + Resizing DVD playback window on Mplayer no longer causes blank video
    + System instability no longer occurring when switching to full screen DVD playback
      with Totem Player
    + Terminal window no longer displays error message when launching Catalyst Control
      Center in MultiView
    + [Ubuntu 9.04] Xserver now starts properly with ATI Radeon HD 4870 GPU
      configurations
    + [Ubuntu 9.04] When xrandr --prop is evoked, Xserver failure no longer occurs under
      various system configurations
    + The engine clock and memory clock values are now reported properly by ATI CAL
    + Catalyst Control Center, the primary display is now identified when using the
      Identify Displays button
    + Error message no longer occurs while setting the TV geometry
    + Game corruption does not happen in full screen when 2 monitors are connected and
      RandR 1.2 is enabled
    + TV screen corruption is no longer visible while starting the X-server on some ASICs
    + Executing the following command : aticonfig --initial -f does not cause the following
      message "No supported adapters detected" on some display adapters
    + Detecting second display using amdccle "Detect Display" button no longer results in
      error and will require a relaunch to detect both displays properly
      (LP: #348400)
    + Mplayer does not fail to render video when resizing DVD playback window
    + Fixed: Some system may become unresponsive after starting and killing X-server
      (LP: #355821)
    + System no longer fail to respond when executing multiple server
      generations
    + Memory leak on RV630 (LP: #368271)
    + dpms switches off backlight on laptop screen properly (LP: #363059)
    + Display Preferences no longer causes 100% CPU usage and failure (LP: #366757)


