=== debian/control ===
Source: fglrx-installer-14.301.1016.1001-150109a-179295c
Section: restricted/misc
Priority: extra
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
Vcs-Bzr: lp:~oem-solutions-engineers/dell/fglrx-installer-14.301.1016.1001-150109a-179295c
Build-Depends: debhelper (>= 7),
               dh-modaliases,
               libxext6, 
               libxrandr2, 
               libice6, 
               libsm6, 
               libfontconfig1, 
               libxi6, 
               libxcursor1, 
               fakeroot, 
               libdrm2,
               libgl1-mesa-glx | libgl1-mesa-glx-lts-quantal,
               libxinerama1,
               libqtgui4,
               xserver-xorg-dev (>= 2:1.10.0) | xserver-xorg-dev-lts-quantal | xserver-xorg-dev-lts-raring | xserver-xorg-dev-lts-saucy,
               execstack
Standards-Version: 3.8.3
Homepage: http://support.amd.com

Package: fglrx-14.301.1016.1001-150109a-179295c
Architecture: amd64 i386
Recommends: fglrx-amdcccle-14.301.1016.1001-150109a-179295c
Depends: ${shlibs:Depends}, ${misc:Depends},
 lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
 ${xviddriver:Depends}
Conflicts: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx-core
Replaces: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx, fglrx-updates, fglrx-14.301.1011final, fglrx-14.301.1016-141213a-178656c, fglrx-14.301.1016.1001-150109a-179242e, fglrx-core
Breaks: fglrx, fglrx-14.301.1011final, fglrx-14.301.1016-141213a-178656c, fglrx-14.301.1016.1001-150109a-179242e, fglrx-core
Provides: fglrx-driver, xorg-driver-binary
XB-Modaliases: ${modaliases}
Description: Video driver for the AMD graphics accelerators
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides 2D display drivers
 and hardware accelerated OpenGL.

Package: fglrx-14.301.1016.1001-150109a-179295c-dev
Architecture: amd64 i386
Depends: fglrx-14.301.1016.1001-150109a-179295c
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev, xorg-driver-fglrx-dev, fglrx-dev, fglrx-updates-dev
Provides: fglrx-driver-dev
Description: Video driver for the AMD graphics accelerators (devel files)
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions.

Package: fglrx-amdcccle-14.301.1016.1001-150109a-179295c
Architecture: amd64 i386
Depends: fglrx-14.301.1016.1001-150109a-179295c, ${shlibs:Depends}
Conflicts: fglrx-control-qt2, fglrx-control
Replaces: fglrx-control, fglrx-amdcccle, fglrx-amdcccle-updates, fglrx-amdcccle-14.301.1011final, fglrx-amdcccle-14.301.1016-141213a-178656c, fglrx-amdcccle-14.301.1016.1001-150109a-179242e
Breaks: fglrx-amdcccle, fglrx-amdcccle-14.301.1011final, fglrx-amdcccle-14.301.1016-141213a-178656c, fglrx-amdcccle-14.301.1016.1001-150109a-179242e
Provides: fglrx-control
Description: Catalyst Control Center for the AMD graphics accelerators
 Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides the Catalyst Control Center, Linux Edition

Package: fglrx-14.301.1011final
Architecture: i386 amd64
Depends: fglrx-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-14.301.1011final.
 This is a transitional package for fglrx-14.301.1011final, and can be
 safely removed after the installation is complete.

Package: fglrx-amdcccle-14.301.1011final
Architecture: i386 amd64
Depends: fglrx-amdcccle-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-amdcccle-14.301.1011final.
 This is a transitional package for fglrx-amdcccle-14.301.1011final, and can be
 safely removed after the installation is complete.

Package: fglrx-14.301.1016-141213a-178656c
Architecture: i386 amd64
Depends: fglrx-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-14.301.1016-141213a-178656c.
 This is a transitional package for fglrx-14.301.1016-141213a-178656c, and can be
 safely removed after the installation is complete.

Package: fglrx-amdcccle-14.301.1016-141213a-178656c
Architecture: i386 amd64
Depends: fglrx-amdcccle-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-amdcccle-14.301.1016-141213a-178656c.
 This is a transitional package for fglrx-amdcccle-14.301.1016-141213a-178656c, and can be
 safely removed after the installation is complete.

Package: fglrx-14.301.1016.1001-150109a-179242e
Architecture: i386 amd64
Depends: fglrx-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-14.301.1016.1001-150109a-179242e.
 This is a transitional package for fglrx-14.301.1016.1001-150109a-179242e, and can be
 safely removed after the installation is complete.

Package: fglrx-amdcccle-14.301.1016.1001-150109a-179242e
Architecture: i386 amd64
Depends: fglrx-amdcccle-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-amdcccle-14.301.1016.1001-150109a-179242e.
 This is a transitional package for fglrx-amdcccle-14.301.1016.1001-150109a-179242e, and can be
 safely removed after the installation is complete.

Package: fglrx-core
Architecture: i386 amd64
Depends: fglrx-14.301.1016.1001-150109a-179295c
Section: oldlibs
Description: Transitional package for fglrx-core.
 This is a transitional package for fglrx-core, and can be
 safely removed after the installation is complete.
