## fglrx-installer-14.301.1016.1001-150109a-179295c 14.301-0ubuntu3somerville11

=== debian/changelog ===
fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville11) trusty; urgency=medium

  * Revert "Update BUILD_EXCLUSIVE_KERNEL to only support kernel 3.13.*" 

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 12 Jan 2017 17:08:41 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville10) trusty; urgency=medium

  * Update BUILD_EXCLUSIVE_KERNEL to only support kernel 3.13.*

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Tue, 10 Jan 2017 14:46:42 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville9) trusty; urgency=medium

  * Bump version 

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 29 Dec 2016 17:00:30 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville8) trusty; urgency=medium

  * Bump version

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 29 Dec 2016 15:59:34 +0800

fglrx-installer-14.301.1016.1001-150109a-179295c (2:14.301-0ubuntu3somerville7) trusty; urgency=medium

  * Replace fglrx version less then 2:14.302. (LP: #1626862)
    This patch was provided by Cyrus Lien <cyrus.lien@canonical.com>  Wed, 05 Oct 2016

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Thu, 29 Dec 2016 15:29:12 +0800
