=== debian/control ===
--- 
+++ 
@@ -29,9 +29,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${xviddriver:Depends}
-Conflicts: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx-core
-Replaces: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx, fglrx-updates, fglrx-14.301.1011final, fglrx-14.301.1016-141213a-178656c, fglrx-14.301.1016.1001-150109a-179242e, fglrx-core
-Breaks: fglrx, fglrx-14.301.1011final, fglrx-14.301.1016-141213a-178656c, fglrx-14.301.1016.1001-150109a-179242e, fglrx-core
+Conflicts: fglrx-driver (<< 2:14.302), xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx-core (<< 2:14.302)
+Replaces: fglrx-driver (<< 2:14.302), xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx (<< 2:14.302), fglrx-updates, fglrx-14.301.1011final, fglrx-14.301.1016-141213a-178656c, fglrx-14.301.1016.1001-150109a-179242e, fglrx-core (<< 2:14.302)
+Breaks: fglrx (<< 2:14.302), fglrx-14.301.1011final, fglrx-14.301.1016-141213a-178656c, fglrx-14.301.1016.1001-150109a-179242e, fglrx-core (<< 2:14.302)
 Provides: fglrx-driver, xorg-driver-binary
 XB-Modaliases: ${modaliases}
 Description: Video driver for the AMD graphics accelerators
@@ -55,8 +55,8 @@
 Architecture: amd64 i386
 Depends: fglrx-14.301.1016.1001-150109a-179295c, ${shlibs:Depends}
 Conflicts: fglrx-control-qt2, fglrx-control
-Replaces: fglrx-control, fglrx-amdcccle, fglrx-amdcccle-updates, fglrx-amdcccle-14.301.1011final, fglrx-amdcccle-14.301.1016-141213a-178656c, fglrx-amdcccle-14.301.1016.1001-150109a-179242e
-Breaks: fglrx-amdcccle, fglrx-amdcccle-14.301.1011final, fglrx-amdcccle-14.301.1016-141213a-178656c, fglrx-amdcccle-14.301.1016.1001-150109a-179242e
+Replaces: fglrx-control, fglrx-amdcccle (<< 2:14.302), fglrx-amdcccle-updates, fglrx-amdcccle-14.301.1011final, fglrx-amdcccle-14.301.1016-141213a-178656c, fglrx-amdcccle-14.301.1016.1001-150109a-179242e
+Breaks: fglrx-amdcccle (<< 2:14.302), fglrx-amdcccle-14.301.1011final, fglrx-amdcccle-14.301.1016-141213a-178656c, fglrx-amdcccle-14.301.1016.1001-150109a-179242e
 Provides: fglrx-control
 Description: Catalyst Control Center for the AMD graphics accelerators
  Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.
